"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@babel/core");

var _pluginTransformTypescript = _interopRequireDefault(require("@babel/plugin-transform-typescript"));

var _babelPluginTransformJs = _interopRequireDefault(require("@lingui/babel-plugin-transform-js"));

var _babelPluginTransformReact = _interopRequireDefault(require("@lingui/babel-plugin-transform-react"));

var _babelPluginExtractMessages = _interopRequireDefault(require("@lingui/babel-plugin-extract-messages"));

var babelRe = /(^.?|\.[^d]|[^.]d|[^.][^d])\.tsx?$/i;
var extractor = {
  match: function match(filename) {
    return babelRe.test(filename);
  },
  extract: function extract(filename, localeDir) {
    (0, _core.transformFileSync)(filename, {
      plugins: [// Plugins run before presets, so we need to import transform-plugins
      // here until we have a better way to run extract-messages plugin
      // *after* all plugins/presets.
      // Transform plugins are idempotent, so they can run twice.
      _pluginTransformTypescript.default, _babelPluginTransformJs.default, _babelPluginTransformReact.default, [_babelPluginExtractMessages.default, {
        localeDir: localeDir
      }]]
    });
  }
};
var _default = extractor;
exports.default = _default;
