"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _ramda = _interopRequireDefault(require("ramda"));

var _lingui = _interopRequireDefault(require("./lingui"));

function deserialize(catalog) {
  return _ramda.default.map(function (translation) {
    return {
      translation: translation,
      defaults: "",
      origin: []
    };
  }, catalog);
}

function serialize(catalog) {
  return _ramda.default.map(function (message) {
    return message.translation || "";
  }, catalog);
}

var _default = function _default(config) {
  var linguiFormat = (0, _lingui.default)(config);
  return (0, _objectSpread2.default)({}, linguiFormat, {
    write: function write(locale, messages) {
      return linguiFormat.write(locale, serialize(messages));
    },
    read: function read(locale) {
      return deserialize(linguiFormat.read(locale));
    }
  });
};

exports.default = _default;
