"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isValid = isValid;
exports.parse = parse;
exports.localeRe = void 0;

var _makePlural = _interopRequireDefault(require("make-plural"));

/**
 * Groups:
 * 0. and 1. locale code (1. is useful, when RegExp is part of larger pattern)
 * 2. language code
 * 4. country code
 * @type {RegExp}
 */
var localeRe = new RegExp(/(([a-z]+)(_([a-zA-Z]+))?)(\\|\/)?/);
exports.localeRe = localeRe;

function isValid(locale) {
  var match = localeRe.exec(locale);
  return match && match[0] === locale && // locale has valid format
  match[2] in _makePlural.default // language is valid (we have plurals for it)
  ;
}

function parse(locale) {
  var match = localeRe.exec(locale);
  if (!match || match[0] !== locale) return null;
  return {
    language: match[2],
    country: match[4]
  };
}
