"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = command;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _chalk = _interopRequireDefault(require("chalk"));

var _commander = _interopRequireDefault(require("commander"));

var _conf = require("@lingui/conf");

function command(format, locales) {
  var results = locales.map(function (locale) {
    var _format$addLocale = format.addLocale(locale),
        _format$addLocale2 = (0, _slicedToArray2.default)(_format$addLocale, 2),
        created = _format$addLocale2[0],
        filename = _format$addLocale2[1];

    if (!filename) {
      console.log(_chalk.default.red("Unknown locale: ".concat(_chalk.default.bold(locale), ".")));
      return false;
    } else if (created) {
      console.log(_chalk.default.green("Added locale ".concat(_chalk.default.bold(locale), ".")));
    } else {
      console.log(_chalk.default.yellow("Locale ".concat(_chalk.default.bold(locale), " already exists.")));
    }

    return true;
  }); // At least one language was added successfully

  if (results.filter(Boolean).length) {
    console.log();
    console.log("(use \"".concat(_chalk.default.yellow("lingui extract"), "\" to extract messages)"));
  }
}

if (require.main === module) {
  _commander.default.description("Add target locales. Remove locale by removing <locale> " + "directory from your localeDir (e.g. ./locale/en)").arguments("<locale...>").option("--format <format>", "Format of message catalog").on("--help", function () {
    console.log("\n  Examples:\n");
    console.log("    # Add single locale");
    console.log("    $ lingui add-locale en");
    console.log("");
    console.log("    # Add multiple locales");
    console.log("    $ lingui add-locale en es fr ru");
  }).parse(process.argv);

  if (!_commander.default.args.length) _commander.default.help();
  var config = (0, _conf.getConfig)();
  var formatName = _commander.default.format || config.format;

  var format = require("./api/formats/".concat(formatName)).default(config);

  command(format, _commander.default.args);
}
